#!/usr/local/bin/perl -w

# expects the following CGI parameters:
#   uploaded_file -- path (on client system) of file to upload

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use lib ('.');
use JobCommon;

print my_header( 'Document Collection Received' );

defined $query or die "\$query not defined!\n"; 

if ( defined $query->param ) {
  if ( scalar $query->param ) {
    enqueue_job( $query );
  }
  else {
    die "\$query->param defined but empty!"
  }
}
else {
    die "\$query->param not defined!"
}

sub enqueue_job {
  my $q = shift; # a CGI query

  my $filename = $q->param('uploaded_file');
  my $tmpfilename = $q->tmpFileName( $filename );
  my %finfo = %{ $q->uploadInfo( $filename ) || {} };

  close $filename;

  my $ext;

  {
    local $_ = $filename;
    if ( /\.tar$/i
      or /\.tar\.z$/i
      or /\.tar\.gz$/i
    ) {
      $ext = $&;
    }
  }

  unless ( $ext ) {
    print "Not a valid archive format!\n";
    return undef;
  }

  my $nId = new Id;
  my $job_name = $nId->mnemonic;
  my $newfilename = $job_name . $ext;

  $q->param( -NAME => 'incoming_file', -VALUE => $newfilename );
  $q->param( -NAME => 'time_queue', -VALUE => time );

  system("cp $tmpfilename $incoming_dir/$newfilename");
}



