#!/usr/local/bin/perl -w

use lib ('.');
use JobCommon;


print(
  my_header(),

  $query->b( 'Upload your document collection now.<p>' ),

  'The file you upload must be a unix tar file (',
  $query->b('.tar'),
  '), possibly compressed by compress (',
  $query->b('.tar.Z'),
  ') or by gzip (',
  $query->b('.tar.gz'),
  ').',

  $query->p,

  $query->start_multipart_form( 'POST', $next_script_name ),

  $query->filefield(
    -NAME      => 'uploaded_file',
    -DEFAULT   => 'nofile',
    -SIZE      => 50,
    -MAXLENGTH => 80
  ),

  $query->br,

  $query->submit( 'submit', 'Submit Collection' ),

  $query->endform,

  $query->end_html,
);

exit 0;

